function show_vector4(I, p, q, m, n)
    I = double(I);
    mx = max(max(I));
    mn = min(min(I));
    
    I = m+(I-mn)*(n-m+1)/(mx-mn);
    
    I = uint8(I);
    
    I = reshape(I, p, q);
    
    imshow(I);
